name: base
channels:
- conda-forge
dependencies:
- traits
- matplotlib==3.6.2
- numpy
- sympy
- scipy
- k3d
- ipywidgets==7.7.0
- ipympl==0.9.2
- ipytree==0.2.2
- pandas
- shapely
- importlib_resources
- pip
- pip:
  - anastruct==1.2.0
  - openpyxl
  - bmcs-utils==0.0.32a0
  - bmcs-ibvpy==0.0.27a0
  - bmcs-cross-section==0.0.55a0
  - bmcs-beam==0.0.20a0
